Bug 236630 - cannot read ftp directory through squid proxy
Summary: cannot read ftp directory through squid proxy
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-07 00:54 UTC by Christopher Yeleighton
Modified: 2011-03-10 23:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2010-05-07 00:54:48 UTC
Version:           4.3.5 (KDE 4.3.5) "release 0" (using 4.3.5 (KDE 4.3.5) "release 0", openSUSE 11.2)
Compiler:          gcc
OS:                Linux (x86_64) release 2.6.31.12-0.2-desktop

When I try to access <URL:ftp://ftp.gwdg.de/pub/misc/gcc/> via an internal HTTP proxy (squid), I get "Directory does not exist."  The same directory works fine without a proxy and in Firefox.
Comment 1 Christopher Yeleighton 2010-05-10 12:31:44 UTC
Also, when I try to navigate to <URL:ftp://ftp.mpi-sb.mpg.de/pub/gnu/mirror/gcc.gnu.org/pub/gcc>, Konqueror takes me to <URL:http://www.mpi-inf.mpg.de/pub/gnu/mirror/gcc.gnu.org/pub/gcc> instead.
Comment 2 Christopher Yeleighton 2010-06-05 19:30:56 UTC
(In reply to comment #0)
> When I try to access <URL:ftp://ftp.gwdg.de/pub/misc/gcc/> via an internal HTTP
> proxy (squid), I get "Directory does not exist."  The same directory works fine
> without a proxy and in Firefox.

The same result with <URL:ftp://ftp.redhat.com/>
Comment 3 Dawit Alemayehu 2011-03-08 15:02:38 UTC
Git commit 1bc22e9af060c4626bebd7a091678f2ca5b40ae4 by Dawit Alemayehu.
Committed on 08/03/2011 at 14:57.
Pushed by adawit into branch 'KDE/4.6'.

Fix for connecting to FTP sites through HTTP proxy servers.

BUG:236630
REVIEW:100814
FIXED-IN:4.6.2

M  +1    -1    kioslave/http/http.cpp     
M  +10   -3    kparts/browserrun.cpp     

http://commits.kde.org/kdelibs/1bc22e9af060c4626bebd7a091678f2ca5b40ae4
Comment 4 Dawit Alemayehu 2011-03-10 23:15:31 UTC
Git commit ebbe3a9ec4e111d698d01e7170262a00f6c59496 by Dawit Alemayehu.
Committed on 10/03/2011 at 22:59.
Pushed by adawit into branch 'KDE/4.6'.

Revert commit 7b61621c023db80af888a12be7fcb9fd6c9a6fb8

With this commit, the fixes to KParts::BrowserRun::scanFile to address
the "FTP over HTTP proxy" bug should work properly.

CCBUG:236630

M  +1    -0    kioslave/ftp/ftp.protocol     

http://commits.kde.org/kdelibs/ebbe3a9ec4e111d698d01e7170262a00f6c59496